Skip to content
Permalink
Browse files

Undeprecate provider CreateAttributeIndex capability

This capability is still used in QGIS and has value for
plugins
  • Loading branch information
nyalldawson committed Sep 14, 2016
1 parent 5c1151c commit ccd9cc8a1550ada4d58e204c6c8f6ac0f734681e
Showing with 2 additions and 2 deletions.
  1. +1 −1 python/core/qgsvectordataprovider.sip
  2. +1 −1 src/core/qgsvectordataprovider.h
@@ -31,7 +31,7 @@ class QgsVectorDataProvider : QgsDataProvider
SelectAtId,
/** Allows modifications of geometries */
ChangeGeometries,
/** DEPRECATED - do not use */
/** Can create indexes on provider's fields */
CreateAttributeIndex,
/** Allows user to select encoding */
SelectEncoding,
@@ -80,7 +80,7 @@ class CORE_EXPORT QgsVectorDataProvider : public QgsDataProvider
ChangeGeometries = 1 << 8,
/** Allows user to select encoding */
SelectEncoding = 1 << 13,
/** DEPRECATED - do not use */
/** Can create indexes on provider's fields */
CreateAttributeIndex = 1 << 12,
/** Supports simplification of geometries on provider side according to a distance tolerance */
SimplifyGeometries = 1 << 14,

0 comments on commit ccd9cc8

Please sign in to comment.
You can’t perform that action at this time.